package com.fs.qw.service.impl;

import com.fs.common.utils.DateUtils;
import com.fs.qw.domain.QwAutoTagsRules;
import com.fs.qw.mapper.QwAutoTagsRulesMapper;
import com.fs.qw.service.IQwAutoTagsRulesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 自动打标签的规则(主要是 群)Service业务层处理
 * 
 * @author fs
 * @date 2024-07-20
 */
@Service
public class QwAutoTagsRulesServiceImpl implements IQwAutoTagsRulesService 
{
    @Autowired
    private QwAutoTagsRulesMapper qwAutoTagsRulesMapper;

    /**
     * 查询自动打标签的规则(主要是 群)
     * 
     * @param id 自动打标签的规则(主要是 群)主键
     * @return 自动打标签的规则(主要是 群)
     */
    @Override
    public QwAutoTagsRules selectQwAutoTagsRulesById(Long id)
    {
        return qwAutoTagsRulesMapper.selectQwAutoTagsRulesById(id);
    }

    /**
     * 查询自动打标签的规则(主要是 群)列表
     * 
     * @param qwAutoTagsRules 自动打标签的规则(主要是 群)
     * @return 自动打标签的规则(主要是 群)
     */
    @Override
    public List<QwAutoTagsRules> selectQwAutoTagsRulesList(QwAutoTagsRules qwAutoTagsRules)
    {
        return qwAutoTagsRulesMapper.selectQwAutoTagsRulesList(qwAutoTagsRules);
    }

    /**
     * 新增自动打标签的规则(主要是 群)
     * 
     * @param qwAutoTagsRules 自动打标签的规则(主要是 群)
     * @return 结果
     */
    @Override
    public int insertQwAutoTagsRules(QwAutoTagsRules qwAutoTagsRules)
    {
        qwAutoTagsRules.setCreateTime(DateUtils.getNowDate());
        return qwAutoTagsRulesMapper.insertQwAutoTagsRules(qwAutoTagsRules);
    }

    /**
     * 修改自动打标签的规则(主要是 群)
     * 
     * @param qwAutoTagsRules 自动打标签的规则(主要是 群)
     * @return 结果
     */
    @Override
    public int updateQwAutoTagsRules(QwAutoTagsRules qwAutoTagsRules)
    {
        return qwAutoTagsRulesMapper.updateQwAutoTagsRules(qwAutoTagsRules);
    }

    /**
     * 批量删除自动打标签的规则(主要是 群)
     * 
     * @param ids 需要删除的自动打标签的规则(主要是 群)主键
     * @return 结果
     */
    @Override
    public int deleteQwAutoTagsRulesByIds(Long[] ids)
    {
        return qwAutoTagsRulesMapper.deleteQwAutoTagsRulesByIds(ids);
    }

    /**
     * 删除自动打标签的规则(主要是 群)信息
     * 
     * @param id 自动打标签的规则(主要是 群)主键
     * @return 结果
     */
    @Override
    public int deleteQwAutoTagsRulesById(Long id)
    {
        return qwAutoTagsRulesMapper.deleteQwAutoTagsRulesById(id);
    }
}
